Subject: Re: Autotools
From: "Stephano Mariani" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 8 Dec 2001 11:13:48 -0000

I managed to get the GNU build system to build shared libs on cygwin and
linux, albeit with a lot of hacks which I suspected automake would be clever
enough to do. I will soon test it on solaris.

Thanks for your help.

Stephano

----- Original Message -----
From: "Charles Wilson" <[email-masked]>
To: "Stephano Mariani" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, December 07, 2001 8:42 PM
Subject: Re: Autotools

> Stephano Mariani wrote:
> >
> > With the release of the new autotools build system I was under the
> > impression that with libtool, automake supported building dlls under
cygwin.
>
> wrong impression.  It isn't ready yet.  Automake and autoconf are fine,
> but I haven't finished the system libtool changes necessary, yet.
>
> > I seem not to be able to do this, no dlls are produced and
> > despite --disable-static, I get .a & .la. I am able to build dlls
manually
> > perfectly, and yet cannot do this using with automake??
>
> libtool is a strange beast.  Ordinarily, libtoolized packages create
> their own copy of libtool during the configure process, and it is based
> on the version of libtool that was used by the upstream maintainers to
> 'libtoolize' it.  *Ordinarily*, you don't even USE the system libtool.
>
> ONCE cygwin has a working system libtool, then you still need to do the
> following (for each package that you want to build DLLs from):
>   a) delete a number of files in the source tree
>   b) run the system libtoolize script to 're-libtoolize' the package
> using cygwin's version
>   c) THEN configure and build as normal
>
> Long term, it is hoped that the cygwin-specific changes to libtool will
> get pushed into the REAL libtool, and then we can start pestering the
> maintainers of various packages (not the cygwin package maintainers, but
> those guys higher up the foodchain) to relibtoolize using the (then)
> current libtool.
>
> At that point, then, stuff will dllize OOB on cygwin.
>
> But we ain't there yet.  We ain't even close.
>
> --Chuck
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/